//
//  Host.swift
//  tb-mfa-lib-tests
//
//  Created by inwebo imac on 29/10/2021.
//

import Foundation
import TrustBuilderMfaLibSwift
import UIKit

public struct Host: IHost {
    public var appInfo: ApplicationInfo
    public var osInfo: OsInfo
    public var serial: String
    public var name: String
    public var type: String
    public var appAlias: String

    public init() {
        appInfo = ApplicationInfo(
                id: Bundle.main.object(forInfoDictionaryKey: "App_Id") as! String,
                name: Bundle.main.object(forInfoDictionaryKey: "App_Name") as! String,
                version: "1",
                type: "iOS SDK"
        )
        osInfo = OsInfo(
                name: "iOS",
                version: UIDevice.current.systemVersion
        )
        appAlias = Bundle.main.object(forInfoDictionaryKey: "App_Alias") as! String
        serial = "serial"
        name = "localhost"
        type = "IW_MOBILE"

    }
}
